package samples.services.loanservices.loanassessor;


/**
 * Loan assessor service that always finds loan requests below a threshold
 * to be low risk, while those higher are high risk.
 * @author Rania Khalaf <rkhalaf@us.ibm.com>
 */

public class LoanAssessor {
  
  public int threshold = 2000;

  public String check(String firstName, String name, int amount){
    System.out.println("in loan assessor service");
    String retVal;
    if(amount<threshold)
      retVal="low";
    else retVal="high";
    System.out.println(" got risk value to be " + retVal);
    return retVal;
  }
}
